Skip to main content
PUT
/
schedules
/
{schedule_id}
Update Schedule
curl --request PUT \
  --url https://analyst.heyhumm.ai/schedules/{schedule_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cron_expression": "<string>",
  "timezone": "<string>",
  "enabled": true,
  "name": "<string>",
  "run_mode": "<string>"
}
'
{
  "command_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "cron_expression": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "next_run_time": "2023-11-07T05:31:56Z",
  "last_run_time": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "timezone": "UTC",
  "enabled": true,
  "name": "<string>",
  "run_mode": "per_subscriber",
  "created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://heyhumm.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

schedule_id
string<uuid>
required

Schedule ID

Query Parameters

organization_id
string
required

Body

application/json

Update model for command schedule.

cron_expression
string | null
timezone
string | null
enabled
boolean | null
name
string | null
run_mode
string | null

Response

Successful Response

Response model for command schedule.

command_id
string<uuid>
required

ID of the command to execute

organization_id
string<uuid>
required

Organization ID

cron_expression
string
required

Cron expression (e.g., '0 9 * * 1' for Monday 9am)

id
string<uuid>
required
next_run_time
string<date-time>
required
last_run_time
string<date-time> | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
timezone
string
default:UTC

Timezone for cron evaluation

enabled
boolean
default:true

Whether the schedule is active

name
string | null
run_mode
string
default:per_subscriber
created_by_user_id
string<uuid> | null